nvme_import_tls_key_versioned(2)

NAME
nvme_import_tls_key_versioned - Import a TLS key

SYNOPSIS
unsigned char * nvme_import_tls_key_versioned (const char *encoded_key , unsigned char *version , unsigned char *hmac , size_t *key_len );

ARGUMENTS

encoded_key
    TLS key in PSK interchange format

version
    Indicated the representation of the TLS PSK

hmac
    HMAC algorithm used to transfor the configured PSK in a retained PSK

key_len
    Length of the resulting key data

DESCRIPTION
Imports key_data in the PSK Interchange format as defined in section 3.6.1.5 of the NVMe TCP Transport specification.

RETURN
The raw data of the PSK or NULL with errno set on error. It is the responsibility of the caller to free the returned string.